# /etc/multitail.d/transform.conf
#
# Filter, edit, and convert schemes for multitail(1)
# Included by main.conf
# The paths.conf file applies these to known log file locations.
#
# These are all concerned with log file data/content/structure.
# (As opposed to color schemes, which are about presentation.)
# Filters and edits do substitution/replacement on input text lines.
# Filters apply to entire lines, edits are parts of lines.
# Edit and filter rules reflect option switches -e/-v/-ke/-kS/-kr/etc.
# Conversions extract fields from log lines.

convert:apache:ip4tohost:^([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})
convert:squid:epochtodate:^([0-9]*)
convert:squid:ip4tohost:^[^ ]* *[0-9]* *([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})
convert:asterisk:epochtodate:^([0-9]*).([0-9]*)
convert:nagios.log:epochtodate:^.([0-9]*). 
convert:qmailtimestr:tai64todate:^(@[^ ]*)
convert:geoip:script:/etc/multitail/convert-geoip.pl:([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})

# END
###########################################################################
